Package com.independentsoft.office.spreadsheet.connections

# Enum Class CredentialsMethod

java.lang.Object
java.lang.Enum<CredentialsMethod>
com.independentsoft.office.spreadsheet.connections.CredentialsMethod

All Implemented Interfaces:
  `Serializable`, `Comparable<CredentialsMethod>`, `Constable`

public enum CredentialsMethod extends Enum<CredentialsMethod>
The Enum CredentialsMethod.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `INTEGRATED_AUTHENTICATION`
  `NONE`
  `PROMPT_CREDENTIALS`
  `STORED_CREDENTIALS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CredentialsMethod`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static CredentialsMethod[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INTEGRATED_AUTHENTICATION

    public static final CredentialsMethod INTEGRATED_AUTHENTICATION

  - ### PROMPT_CREDENTIALS

    public static final CredentialsMethod PROMPT_CREDENTIALS

  - ### STORED_CREDENTIALS

    public static final CredentialsMethod STORED_CREDENTIALS

  - ### NONE

    public static final CredentialsMethod NONE

- ## Method Details

  - ### values

    public static CredentialsMethod[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CredentialsMethod valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null